Developers
Recurring series

List recurring series

GET
/recurring-series

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string
Length1 <= length
external_id?string
Length1 <= length
customer?string
Length1 <= length
status?string

Value in

  • "draft"
  • "active"
updated_since?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/recurring-series"
{  "object": "list",  "data": [    {      "object": "recurring_series",      "id": "string",      "external_id": "string",      "customer_id": "string",      "currency": "string",      "frequency": "monthly",      "start_date": "string",      "end_date": "string",      "issue_timing": {        "mode": "start-of-period"      },      "status": "draft",      "cancelled_at": "string",      "lines": [        {          "product_id": "string",          "recognition_method": "value",          "agreed_value": 0,          "hourly_rate": 0,          "discount": 0,          "description_override": "string",          "position": -9007199254740991,          "assignees": [            {              "user_id": "string",              "distribution_percentage": 0,              "hourly_rate_override": 0            }          ]        }      ]    }  ],  "has_more": true,  "next_cursor": "string"}